"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArchitectureError = void 0;
const node_process_1 = __importDefault(require("node:process"));
/**
 * Architecture error.
 */
class ArchitectureError extends Error {
    /**
     * Construct a new Error.
     *
     * @param architecture - Architecture.
     * @param platform - Platform.
     */
    constructor(architecture = node_process_1.default.arch, platform = node_process_1.default.platform) {
        super(`Architecture '${architecture}' of platform '${platform}' is not supported`);
        Object.setPrototypeOf(this, ArchitectureError.prototype);
    }
}
exports.ArchitectureError = ArchitectureError;
