"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlatformError = void 0;
const node_process_1 = __importDefault(require("node:process"));
/**
 * Platform error.
 */
class PlatformError extends Error {
    /**
     * Construct a new Error.
     *
     * @param platform - Platform.
     */
    constructor(platform = node_process_1.default.platform) {
        super(`Platform '${platform}' is not supported`);
        Object.setPrototypeOf(this, PlatformError.prototype);
    }
}
exports.PlatformError = PlatformError;
