/// <reference types="node" />
/// <reference types="node" />
import type url from 'node:url';
/**
 * Download arguments.
 */
export type DownloadArgs = {
    /**
     * URL.
     */
    url?: url.URL;
    /**
     * Token.
     */
    token?: string;
    /**
     * Destination path.
     */
    destination: string;
    /**
     * OS platform.
     */
    platform?: NodeJS.Platform;
    /**
     * CPU architecture.
     */
    architecture?: NodeJS.Architecture;
};
/**
 * Download ShellCheck.
 *
 * @param args - Arguments.
 */
export declare function download(args: DownloadArgs): Promise<void>;
