import { LoggerLevel } from './LoggerLevel';
/**
 * Logger.
 */
export declare class Logger {
    /**
     * Logger level value.
     */
    private static readonly values;
    /**
     * Logger level.
     */
    accessor level: LoggerLevel;
    /**
     * Construct a new Logger.
     *
     * @param level - Level.
     */
    constructor(level: LoggerLevel);
    /**
     * Log.
     *
     * @param level - Level.
     * @param message - Message.
     */
    private log;
    /**
     * Debug log message.
     *
     * @param message - Message.
     */
    debug(message: string): void;
    /**
     * Informational log message.
     *
     * @param message - Message.
     */
    info(message: string): void;
    /**
     * Warning log message.
     *
     * @param message - Message.
     */
    warn(message: string): void;
    /**
     * Error log message.
     *
     * @param message - Message.
     */
    error(message: string): void;
}
