/// <reference types="node" />
/// <reference types="node" />
import child_process from 'node:child_process';
/**
 * ShellCheck arguments.
 */
export type ShellCheckArgs = {
    /**
     * Binary path.
     */
    bin?: string;
    /**
     * ShellCheck arguments.
     */
    args?: string[];
    /**
     * Stdio.
     */
    stdio?: child_process.StdioOptions;
    /**
     * Token.
     */
    token?: string;
};
/**
 * Spawn ShellCheck.
 * Download ShellCheck if not found or invalid.
 *
 * @param args - ShellCheck arguments.
 * @returns ShellCheck output.
 */
export declare function shellcheck(args?: ShellCheckArgs): Promise<child_process.SpawnSyncReturns<Buffer>>;
