/// <reference types="node" />
/// <reference types="node" />
import url from 'node:url';
import type { Release } from "../types";
/**
 * Build URL arguments.
 */
export type BuildURLArgs = {
    /**
     * Base URL.
     */
    baseURL?: url.URL;
    /**
     * Token.
     */
    token?: string;
    /**
     * Release.
     */
    release?: Release;
    /**
     * OS platform.
     */
    platform?: NodeJS.Platform;
    /**
     * CPU architecture.
     */
    architecture?: NodeJS.Architecture;
    /**
     * Archive.
     */
    archive?: string;
};
/**
 * Build URL.
 *
 * @param args - Arguments.
 * @returns Download URL.
 */
export declare function buildURL(args?: BuildURLArgs): Promise<url.URL>;
